package de.intevation.flys.client.server;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Artifact;
import de.intevation.flys.client.shared.model.Collection;
import de.intevation.flys.client.client.services.AddArtifactService;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class AddArtifactServiceImpl
extends      DescribeCollectionServiceImpl
implements   AddArtifactService
{
    public Collection add(
        Collection collection,
        Artifact   artifact,
        String     url,
        String     locale)
    throws ServerException
    {
        System.out.println("AddArtifactServiceImpl.add");

        return CollectionHelper.addArtifact(collection, artifact, url, locale);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
